Monad API
string · requiredintegerinteger
string · required
Properties for Variant 1:stringstringstringstringstringbooleanstring
string · requiredstring · requiredstringstringstringstringstringbooleanstring
string · requiredstring · required
Properties for Variant 1:stringstringstringstringstringbooleanstring
Role management endpoints
List roles
GET
https://app.monad.com/api
/v2/{organization_id}/roles
Authorization (header)
or
x-api-key (header)
List roles with their associated permissions
path Parameters
organization_idOrganization ID
query Parameters
limitLimit the number of roles returned (default: 10)
offsetOffset the roles returned (default: 0)
List roles › Responses
Roles retrieved successfully
object
object[]
Create role
POST
https://app.monad.com/api
/v2/{organization_id}/roles
Authorization (header)
or
x-api-key (header)
Create a new role with permissions
path Parameters
organization_idOrganization ID
Create role › Request Body
oneOf
Exactly one variant must match.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object · requires: name, permission_ids |
Create role › Responses
Role created successfully
created_atdescriptionidnameorganization_idobject[]
protectedupdated_atGet role
GET
https://app.monad.com/api
/v2/{organization_id}/roles/{role_id}
Authorization (header)
or
x-api-key (header)
Get a role with its associated permissions
path Parameters
organization_idOrganization ID
role_idRole ID
Get role › Responses
Role retrieved successfully
created_atdescriptionidnameorganization_idobject[]
protectedupdated_atUpdate role
PATCH
https://app.monad.com/api
/v2/{organization_id}/roles/{role_id}
Authorization (header)
or
x-api-key (header)
Update a role and its permissions
path Parameters
organization_idOrganization ID
role_idRole ID
Update role › Request Body
oneOf
Exactly one variant must match.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object |
Update role › Responses
Role updated successfully
created_atdescriptionidnameorganization_idobject[]
protectedupdated_at